summaryrefslogtreecommitdiff
path: root/src/testing/test_merchant_order_creation.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/testing/test_merchant_order_creation.sh')
-rwxr-xr-xsrc/testing/test_merchant_order_creation.sh24
1 files changed, 4 insertions, 20 deletions
diff --git a/src/testing/test_merchant_order_creation.sh b/src/testing/test_merchant_order_creation.sh
index f08122d8..9e3e0d09 100755
--- a/src/testing/test_merchant_order_creation.sh
+++ b/src/testing/test_merchant_order_creation.sh
@@ -295,26 +295,10 @@ BALANCE=`jq -r .balance.amount < $LAST_RESPONSE`
if [ "$BALANCE" == "TESTKUDOS:0" ]
then
- echo 'wire transfer did not happen. got:' $BALANCE
- echo 'going to sleep more, just in case...'
- sleep 62
-
- STATUS=$(curl "http://$ACCOUNT_PASSWORD@$BANK_HOST/accounts/43" \
- -w "%{http_code}" -s -o $LAST_RESPONSE)
-
- if [ "$STATUS" != "200" ]
- then
- echo 'should response ok, getting account status. got:' $STATUS `cat $LAST_RESPONSE`
- exit 1
- fi
-
- BALANCE=`jq -r .balance.amount < $LAST_RESPONSE`
-
- if [ "$BALANCE" == "TESTKUDOS:0" ]
- then
- echo 'wire transfer did not happend. got:' $BALANCE `cat $LAST_RESPONSE`
- exit 1
- fi
+ echo 'wire transfer did not happend. got:' $BALANCE `cat $LAST_RESPONSE`
+ exit 1
fi
+
+
exit 0